Skip to main content
PATCH
/
manage-skills
/
{id}
curl -X PATCH https://api.magpipe.ai/functions/v1/manage-skills/SKILL_ID \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "keywords": ["AI voice agent", "conversational AI"],
      "platforms": ["reddit", "hackernews", "x", "linkedin"]
    },
    "delivery_channels": [
      { "channel": "slack", "channel_name": "#monitoring" }
    ]
  }'
{
  "agent_skill": {
    "id": "7a99a0af-...",
    "is_enabled": true,
    "config": {
      "keywords": ["AI voice agent", "conversational AI"],
      "platforms": ["reddit", "hackernews", "x", "linkedin"]
    },
    "delivery_channels": [
      { "channel": "slack", "channel_name": "#monitoring" }
    ]
  }
}
Update an agent skill’s configuration. You can change the config, enable/disable the skill, update delivery channels, or modify the schedule.

Path Parameters

id
string
required
The agent skill ID (not the skill definition ID).

Request Body

All fields are optional — only include the fields you want to update.
is_enabled
boolean
Enable or disable the skill.
config
object
Updated skill-specific configuration. Replaces the entire config object.
trigger_type
string
Updated trigger type: event or schedule.
schedule_config
object
Updated schedule settings.
delivery_channels
array
Updated delivery channels.

Response

agent_skill
object
The updated agent skill object.
curl -X PATCH https://api.magpipe.ai/functions/v1/manage-skills/SKILL_ID \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "keywords": ["AI voice agent", "conversational AI"],
      "platforms": ["reddit", "hackernews", "x", "linkedin"]
    },
    "delivery_channels": [
      { "channel": "slack", "channel_name": "#monitoring" }
    ]
  }'
{
  "agent_skill": {
    "id": "7a99a0af-...",
    "is_enabled": true,
    "config": {
      "keywords": ["AI voice agent", "conversational AI"],
      "platforms": ["reddit", "hackernews", "x", "linkedin"]
    },
    "delivery_channels": [
      { "channel": "slack", "channel_name": "#monitoring" }
    ]
  }
}